Apply by doing:
	cd /usr/src
	patch -p0 < 019_libz.patch

And then rebuild and install libz:
	cd lib/libz
	make obj
	make depend
	make && make install

Index: lib/libz/inftrees.c
===================================================================
RCS file: /home/cvs/openbsd/src/lib/libz/inftrees.c,v
retrieving revision 1.5
diff -u -r1.5 inftrees.c
--- lib/libz/inftrees.c	16 Dec 2003 22:33:02 -0000	1.5
+++ lib/libz/inftrees.c	6 Jul 2005 14:55:56 -0000
@@ -127,7 +127,7 @@
         left -= count[len];
         if (left < 0) return -1;        /* over-subscribed */
     }
-    if (left > 0 && (type == CODES || (codes - count[0] != 1)))
+    if (left > 0 && (type == CODES || max != 1))
         return -1;                      /* incomplete set */
 
     /* generate offsets into symbol table for each length for sorting */
Index: sys/lib/libz/inftrees.c
===================================================================
RCS file: /home/cvs/openbsd/src/sys/lib/libz/inftrees.c,v
retrieving revision 1.11
diff -u -r1.11 inftrees.c
--- sys/lib/libz/inftrees.c	16 Dec 2003 23:57:48 -0000	1.11
+++ sys/lib/libz/inftrees.c	6 Jul 2005 14:55:56 -0000
@@ -127,7 +127,7 @@
         left -= count[len];
         if (left < 0) return -1;        /* over-subscribed */
     }
-    if (left > 0 && (type == CODES || (codes - count[0] != 1)))
+    if (left > 0 && (type == CODES || max != 1))
         return -1;                      /* incomplete set */
 
     /* generate offsets into symbol table for each length for sorting */
